/*
   base/navpoint.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_BASE_NAVPOINT_H__
#define __INCLUDED_BASE_NAVPOINT_H__

#include <string>

#include "math/mathlib.h"
#include "core/entity.h"
#include "base/template.h"

namespace game
{

/// a navigation point
class NavPoint : public core::Entity
{
public:
	NavPoint();
	~NavPoint();
	
	static inline void set_template (const Template *entitytemplate) {
		navpoint_template = entitytemplate;
	}

private:
	static const Template *navpoint_template;
};

}

#endif // __INCLUDED_BASE_NAVPOINT_H__

