/*
   render/dust.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_RENDER_DUST_H__
#define __INCLUDED_RENDER_DUST_H__

#include "math/color.h"
#include "render/camera.h"

namespace render
{

/// class to render space dust
class Dust
{
public:

	static void init();

	static void shutdown();

	static void draw(const Camera &camera, const math::Color &dustcolor);

	static void reset();
};

}

#endif
