/*
   core/core.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2.
*/

#include <string>

#include "core.h"
#include "sys/sys.h"

namespace core
{

std::string core_name("Project::OSiRiON");
std::string core_version(VERSION);

const std::string &name()
{
	return core_name;
}

const std::string & version()
{
	return core_version;
}

}

