/*
   core/level.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_LEVEL_H__
#define __INCLUDED_CORE_LEVEL_H__

#include <iostream>
#include <string>
#include <vector>
#include <deque>

#include "core/label.h"
#include "model/model.h"

namespace core
{
	/**
	 * @brief type definition for a player or entity level
	 * */
	typedef unsigned int Level;
	
	
} // namespace core

#endif // __INCLUDED_CORE_LEVEL_H__
